Notes

List All Notes for a Campaign

get

Returns a list of notes for a specific campaign, sorted chronologically by creation date. The list can be filtered by partner (MediaId) and a date range.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired

The ID of the campaign to retrieve notes from.

Query parameters
MediaIdintegerOptional

Filter notes for a specific partner account ID.

StartDatestring · date-timeOptional

Filter for notes created on or after this date (ISO 8601).

EndDatestring · date-timeOptional

Filter for notes created on or before this date (ISO 8601).

Responses
200

A paginated list of note objects.

application/json
get
/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes
200

A paginated list of note objects.

Create a Note

post

Creates a new note for a specific partner. A note must contain either text content or an attachment.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired

The ID of the campaign this note belongs to.

Body
MediaIdintegerRequired

The partner account ID this note is for.

Example: 10000
ContentstringOptional

The plaintext content of the note. Optional if an Attachment is provided.

Example: Following up on this partner.
Attachmentstring · binaryOptional

An image file to upload as an attachment. Optional if Content is provided.

Typestring · enumOptional

The interaction type for this note.

Default: NONEPossible values:
Responses
200

The note was created successfully.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected note.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Notes/2750
post
/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes
200

The note was created successfully.

Get Note Details

get

Retrieves the details of an existing note by its unique ID.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
NoteIdintegerRequired

The unique identifier for the note.

Responses
200

A single note object.

application/json
IdintegerOptional

The unique identifier for the note.

Example: 123456
MediaIdintegerOptional

The unique identifier of the partner this note is about.

Example: 10000
MediaNamestringOptional

The display name of the partner this note is about.

Example: Acme Partner
CreatorstringOptional

The name of the user who created the note.

Example: Brand Man
CreationDatestring · date-timeOptional

The date and time the note was created.

Example: 2020-09-10T10:51:23-07:00
ModificationDatestring · date-timeOptional

The date and time the note was last modified.

Example: 2020-10-21T14:51:42-07:00
ContentstringOptional

The plaintext content of the note.

Example: Meep Meep
Typestring · enumOptional

The interaction type for this note.

Example: NONEPossible values:
Attachmentsstring · uri-reference[]Optional

URIs of file attachments associated with the note.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Notes/2750/Attachments/1
Uristring · uri-referenceOptional

The unique reference to this note in the impact.com API.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Notes/123456
get
/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}
200

A single note object.

Update a Note

put

Updates the specified note by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
NoteIdintegerRequired

The unique identifier for the note to update.

Body
ContentstringOptional

The new plaintext content for the note.

Example: Updated note content.
Typestring · enumOptional

The interaction type for this note.

Possible values:
AttachmentsAddstring · binaryOptional

An image file to add as a new attachment.

AttachmentsRemovestringOptional

The filename (e.g., 'crm_7654321_...') of the attachment to remove.

Example: 1,2
Responses
200

The note was updated successfully.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected note.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Notes/2750
put
/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}
200

The note was updated successfully.

Delete a Note

delete

Permanently deletes a note. This cannot be undone.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
NoteIdintegerRequired

The unique identifier for the note to delete.

Responses
200

The note was deleted successfully.

application/json
StatusstringOptional

Indicates that the note was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}
200

The note was deleted successfully.

Last updated